Hex Artifact Content

Artifact 33f65977be85463a7884a4b3d1e4cf6891ae8f45:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 4c 53 56 45 52 53 3d 22 31 2e 36 2e 37 22 0a 53  LSVERS="1.6.7".S
0100: 52 43 3d 22 73 72 63 2f 74 6c 73 2d 24 7b 54 4c  RC="src/tls-${TL
0110: 53 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22 0a 53  SVERS}.tar.gz".S
0120: 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f 2f 73 6f  RCURL="http://so
0130: 75 72 63 65 66 6f 72 67 65 2e 6e 65 74 2f 70 72  urceforge.net/pr
0140: 6f 6a 65 63 74 73 2f 74 6c 73 2f 66 69 6c 65 73  ojects/tls/files
0150: 2f 74 6c 73 2f 24 7b 54 4c 53 56 45 52 53 7d 2f  /tls/${TLSVERS}/
0160: 74 6c 73 24 7b 54 4c 53 56 45 52 53 7d 2d 73 72  tls${TLSVERS}-sr
0170: 63 2e 74 61 72 2e 67 7a 22 0a 53 52 43 48 41 53  c.tar.gz".SRCHAS
0180: 48 3d 27 35 31 31 39 64 65 33 65 35 34 37 30 33  H='5119de3e54703
0190: 35 39 62 39 37 61 38 61 30 30 64 38 36 31 63 39  59b97a8a00d861c9
01a0: 63 34 38 34 33 33 35 37 31 65 65 30 31 36 37 61  c48433571ee0167a
01b0: 66 30 61 39 35 32 64 65 36 36 63 39 39 64 33 61  f0a952de66c99d3a
01c0: 33 62 38 27 0a 42 55 49 4c 44 44 49 52 3d 22 24  3b8'.BUILDDIR="$
01d0: 28 70 77 64 29 2f 62 75 69 6c 64 2f 74 6c 73 24  (pwd)/build/tls$
01e0: 7b 54 4c 53 56 45 52 53 7d 22 0a 4f 55 54 44 49  {TLSVERS}".OUTDI
01f0: 52 3d 22 24 28 70 77 64 29 2f 6f 75 74 22 0a 49  R="$(pwd)/out".I
0200: 4e 53 54 44 49 52 3d 22 24 28 70 77 64 29 2f 69  NSTDIR="$(pwd)/i
0210: 6e 73 74 22 0a 50 41 54 43 48 44 49 52 3d 22 24  nst".PATCHDIR="$
0220: 28 70 77 64 29 2f 70 61 74 63 68 65 73 22 0a 65  (pwd)/patches".e
0230: 78 70 6f 72 74 20 54 4c 53 56 45 52 53 20 53 52  xport TLSVERS SR
0240: 43 20 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49  C SRCURL BUILDDI
0250: 52 20 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52  R OUTDIR INSTDIR
0260: 20 50 41 54 43 48 44 49 52 0a 0a 23 20 53 65 74   PATCHDIR..# Set
0270: 20 63 6f 6e 66 69 67 75 72 65 20 6f 70 74 69 6f   configure optio
0280: 6e 73 20 66 6f 72 20 74 68 69 73 20 73 75 62 2d  ns for this sub-
0290: 70 72 6f 6a 65 63 74 0a 4c 44 46 4c 41 47 53 3d  project.LDFLAGS=
02a0: 22 24 7b 4c 44 46 4c 41 47 53 7d 20 24 7b 4b 43  "${LDFLAGS} ${KC
02b0: 5f 54 4c 53 5f 4c 44 46 4c 41 47 53 7d 22 0a 43  _TLS_LDFLAGS}".C
02c0: 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d  FLAGS="${CFLAGS}
02d0: 20 24 7b 4b 43 5f 54 4c 53 5f 43 46 4c 41 47 53   ${KC_TLS_CFLAGS
02e0: 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b 43  }".CPPFLAGS="${C
02f0: 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54 4c  PPFLAGS} ${KC_TL
0300: 53 5f 43 50 50 46 4c 41 47 53 7d 22 0a 4c 49 42  S_CPPFLAGS}".LIB
0310: 53 3d 22 24 7b 4c 49 42 53 7d 20 24 7b 4b 43 5f  S="${LIBS} ${KC_
0320: 54 4c 53 5f 4c 49 42 53 7d 22 0a 65 78 70 6f 72  TLS_LIBS}".expor
0330: 74 20 4c 44 46 4c 41 47 53 20 43 46 4c 41 47 53  t LDFLAGS CFLAGS
0340: 20 43 50 50 46 4c 41 47 53 20 4c 49 42 53 0a 0a   CPPFLAGS LIBS..
0350: 72 6d 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27  rm -rf 'build' '
0360: 6f 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69  out' 'inst'.mkdi
0370: 72 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20  r 'build' 'out' 
0380: 27 69 6e 73 74 27 20 7c 7c 20 65 78 69 74 20 31  'inst' || exit 1
0390: 0a 0a 54 43 4c 5f 56 45 52 53 49 4f 4e 3d 22 75  ..TCL_VERSION="u
03a0: 6e 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d 66 20  nknown".if [ -f 
03b0: 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d  "${TCLCONFIGDIR}
03c0: 2f 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 20 5d  /tclConfig.sh" ]
03d0: 3b 20 74 68 65 6e 0a 20 20 20 20 20 20 20 20 73  ; then.        s
03e0: 6f 75 72 63 65 20 22 24 7b 54 43 4c 43 4f 4e 46  ource "${TCLCONF
03f0: 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67  IGDIR}/tclConfig
0400: 2e 73 68 22 0a 66 69 0a 65 78 70 6f 72 74 20 54  .sh".fi.export T
0410: 43 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69 66 20 5b  CL_VERSION..if [
0420: 20 21 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d   ! -f "${SRC}" ]
0430: 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73  ; then..mkdir 's
0440: 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32  rc' >/dev/null 2
0450: 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20  >/dev/null...if 
0460: 5b 20 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63  [ ! -d 'buildsrc
0470: 27 20 5d 3b 20 74 68 65 6e 0a 09 09 64 6f 77 6e  ' ]; then...down
0480: 6c 6f 61 64 20 22 24 7b 53 52 43 55 52 4c 7d 22  load "${SRCURL}"
0490: 20 22 24 7b 53 52 43 7d 22 20 22 24 7b 53 52 43   "${SRC}" "${SRC
04a0: 48 41 53 48 7d 22 20 7c 7c 20 65 78 69 74 20 31  HASH}" || exit 1
04b0: 0a 09 66 69 0a 66 69 0a 0a 66 75 6e 63 74 69 6f  ..fi.fi..functio
04c0: 6e 20 62 75 69 6c 64 53 53 4c 4c 69 62 72 61 72  n buildSSLLibrar
04d0: 79 28 29 20 7b 0a 09 6c 6f 63 61 6c 20 76 65 72  y() {..local ver
04e0: 73 69 6f 6e 20 75 72 6c 20 68 61 73 68 0a 09 6c  sion url hash..l
04f0: 6f 63 61 6c 20 61 72 63 68 69 76 65 0a 0a 09 76  ocal archive...v
0500: 65 72 73 69 6f 6e 3d 27 32 2e 34 2e 31 27 0a 09  ersion='2.4.1'..
0510: 75 72 6c 3d 22 68 74 74 70 3a 2f 2f 66 74 70 2e  url="http://ftp.
0520: 6f 70 65 6e 62 73 64 2e 6f 72 67 2f 70 75 62 2f  openbsd.org/pub/
0530: 4f 70 65 6e 42 53 44 2f 4c 69 62 72 65 53 53 4c  OpenBSD/LibreSSL
0540: 2f 6c 69 62 72 65 73 73 6c 2d 24 7b 76 65 72 73  /libressl-${vers
0550: 69 6f 6e 7d 2e 74 61 72 2e 67 7a 22 0a 09 68 61  ion}.tar.gz"..ha
0560: 73 68 3d 27 31 32 31 39 32 32 62 31 33 31 36 39  sh='121922b13169
0570: 63 64 34 37 61 38 35 65 33 65 37 37 66 30 62 63  cd47a85e3e77f0bc
0580: 31 32 39 66 38 64 30 34 32 34 37 31 39 33 62 34  129f8d04247193b4
0590: 32 34 39 31 63 62 31 66 61 62 39 30 37 34 65 38  2491cb1fab9074e8
05a0: 30 34 37 37 27 0a 0a 09 61 72 63 68 69 76 65 3d  0477'...archive=
05b0: 22 73 72 63 2f 6c 69 62 72 65 73 73 6c 2d 24 7b  "src/libressl-${
05c0: 76 65 72 73 69 6f 6e 7d 2e 74 61 72 2e 67 7a 22  version}.tar.gz"
05d0: 0a 0a 09 65 63 68 6f 20 22 20 2a 2a 2a 20 42 75  ...echo " *** Bu
05e0: 69 6c 64 69 6e 67 20 4c 69 62 72 65 53 53 4c 20  ilding LibreSSL 
05f0: 76 24 7b 76 65 72 73 69 6f 6e 7d 22 20 3e 26 32  v${version}" >&2
0600: 0a 0a 09 69 66 20 5b 20 21 20 2d 65 20 22 2e 2e  ...if [ ! -e "..
0610: 2f 24 7b 61 72 63 68 69 76 65 7d 22 20 5d 3b 20  /${archive}" ]; 
0620: 74 68 65 6e 0a 09 09 64 6f 77 6e 6c 6f 61 64 20  then...download 
0630: 22 24 7b 75 72 6c 7d 22 20 22 2e 2e 2f 24 7b 61  "${url}" "../${a
0640: 72 63 68 69 76 65 7d 22 20 22 24 7b 68 61 73 68  rchive}" "${hash
0650: 7d 22 20 7c 7c 20 72 65 74 75 72 6e 20 31 0a 09  }" || return 1..
0660: 66 69 0a 0a 09 28 0a 09 09 72 6d 20 2d 72 66 20  fi...(...rm -rf 
0670: 6c 69 62 72 65 73 73 6c 2d 2a 0a 0a 09 09 67 7a  libressl-*....gz
0680: 69 70 20 2d 64 63 20 22 2e 2e 2f 24 7b 61 72 63  ip -dc "../${arc
0690: 68 69 76 65 7d 22 20 7c 20 74 61 72 20 2d 78 66  hive}" | tar -xf
06a0: 20 2d 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 09   - || exit 1....
06b0: 63 64 20 22 6c 69 62 72 65 73 73 6c 2d 24 7b 76  cd "libressl-${v
06c0: 65 72 73 69 6f 6e 7d 22 20 7c 7c 20 65 78 69 74  ersion}" || exit
06d0: 20 31 0a 0a 09 09 65 63 68 6f 20 22 52 75 6e 6e   1....echo "Runn
06e0: 69 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67 75 72 65  ing: ./configure
06f0: 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54 52   ${CONFIGUREEXTR
0700: 41 7d 20 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61  A} --disable-sha
0710: 72 65 64 20 2d 2d 65 6e 61 62 6c 65 2d 73 74 61  red --enable-sta
0720: 74 69 63 20 2d 2d 70 72 65 66 69 78 3d 5c 22 24  tic --prefix=\"$
0730: 28 70 77 64 29 2f 49 4e 53 54 5c 22 22 0a 09 09  (pwd)/INST\""...
0740: 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 7b 43 4f  ./configure ${CO
0750: 4e 46 49 47 55 52 45 45 58 54 52 41 7d 20 2d 2d  NFIGUREEXTRA} --
0760: 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64 20 2d  disable-shared -
0770: 2d 65 6e 61 62 6c 65 2d 73 74 61 74 69 63 20 2d  -enable-static -
0780: 2d 70 72 65 66 69 78 3d 22 24 28 70 77 64 29 2f  -prefix="$(pwd)/
0790: 49 4e 53 54 22 20 7c 7c 20 65 78 69 74 20 31 0a  INST" || exit 1.
07a0: 0a 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67  ...echo "Running
07b0: 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20  : ${MAKE:-make} 
07c0: 56 3d 31 22 0a 09 09 24 7b 4d 41 4b 45 3a 2d 6d  V=1"...${MAKE:-m
07d0: 61 6b 65 7d 20 56 3d 31 20 7c 7c 20 65 78 69 74  ake} V=1 || exit
07e0: 20 31 0a 0a 09 09 65 63 68 6f 20 22 52 75 6e 6e   1....echo "Runn
07f0: 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  ing: ${MAKE:-mak
0800: 65 7d 20 56 3d 31 20 69 6e 73 74 61 6c 6c 22 20  e} V=1 install" 
0810: 0a 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  ...${MAKE:-make}
0820: 20 56 3d 31 20 69 6e 73 74 61 6c 6c 20 7c 7c 20   V=1 install || 
0830: 65 78 69 74 20 31 0a 09 29 20 7c 7c 20 72 65 74  exit 1..) || ret
0840: 75 72 6e 20 31 0a 0a 09 53 53 4c 44 49 52 3d 22  urn 1...SSLDIR="
0850: 24 28 70 77 64 29 2f 6c 69 62 72 65 73 73 6c 2d  $(pwd)/libressl-
0860: 24 7b 76 65 72 73 69 6f 6e 7d 2f 49 4e 53 54 22  ${version}/INST"
0870: 0a 7d 0a 0a 28 0a 09 63 64 20 27 62 75 69 6c 64  .}..(..cd 'build
0880: 27 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 69 66  ' || exit 1...if
0890: 20 5b 20 21 20 2d 64 20 27 2e 2e 2f 62 75 69 6c   [ ! -d '../buil
08a0: 64 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09  dsrc' ]; then...
08b0: 67 7a 69 70 20 2d 64 63 20 22 2e 2e 2f 24 7b 53  gzip -dc "../${S
08c0: 52 43 7d 22 20 7c 20 74 61 72 20 2d 78 66 20 2d  RC}" | tar -xf -
08d0: 0a 09 65 6c 73 65 20 20 20 20 0a 09 09 63 70 20  ..else    ...cp 
08e0: 2d 72 70 20 2e 2e 2f 62 75 69 6c 64 73 72 63 2f  -rp ../buildsrc/
08f0: 2a 20 27 2e 2f 27 0a 09 66 69 0a 0a 09 23 20 44  * './'..fi...# D
0900: 65 74 65 72 6d 69 6e 65 20 53 53 4c 20 64 69 72  etermine SSL dir
0910: 65 63 74 6f 72 79 0a 09 69 66 20 5b 20 2d 7a 20  ectory..if [ -z 
0920: 22 24 7b 43 50 50 7d 22 20 5d 3b 20 74 68 65 6e  "${CPP}" ]; then
0930: 0a 09 09 43 50 50 3d 22 24 7b 43 43 3a 2d 63 63  ...CPP="${CC:-cc
0940: 7d 20 2d 45 22 0a 09 66 69 0a 0a 09 69 66 20 5b  } -E"..fi...if [
0950: 20 2d 6e 20 22 24 7b 4b 43 5f 54 4c 53 5f 53 53   -n "${KC_TLS_SS
0960: 4c 44 49 52 7d 22 20 5d 3b 20 74 68 65 6e 0a 09  LDIR}" ]; then..
0970: 09 53 53 4c 44 49 52 3d 22 24 7b 4b 43 5f 54 4c  .SSLDIR="${KC_TL
0980: 53 5f 53 53 4c 44 49 52 7d 22 0a 09 65 6c 73 65  S_SSLDIR}"..else
0990: 0a 09 09 53 53 4c 44 49 52 3d 27 27 0a 0a 09 09  ...SSLDIR=''....
09a0: 69 66 20 5b 20 2d 7a 20 22 24 7b 4b 43 5f 54 4c  if [ -z "${KC_TL
09b0: 53 5f 42 55 49 4c 44 53 53 4c 7d 22 20 5d 3b 20  S_BUILDSSL}" ]; 
09c0: 74 68 65 6e 0a 09 09 09 53 53 4c 44 49 52 3d 22  then....SSLDIR="
09d0: 24 28 65 63 68 6f 20 27 23 69 6e 63 6c 75 64 65  $(echo '#include
09e0: 20 3c 6f 70 65 6e 73 73 6c 2f 73 73 6c 2e 68 3e   <openssl/ssl.h>
09f0: 27 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 20 7c 20  ' 2>/dev/null | 
0a00: 24 7b 43 50 50 7d 20 2d 20 32 3e 20 2f 64 65 76  ${CPP} - 2> /dev
0a10: 2f 6e 75 6c 6c 20 7c 20 61 77 6b 20 27 2f 23 20  /null | awk '/# 
0a20: 31 20 22 5c 2f 2e 2a 5c 2f 73 73 6c 5c 2e 68 2f  1 "\/.*\/ssl\.h/
0a30: 7b 20 70 72 69 6e 74 20 24 33 3b 20 65 78 69 74  { print $3; exit
0a40: 20 7d 27 20 7c 20 73 65 64 20 27 73 40 5e 22 40   }' | sed 's@^"@
0a50: 40 3b 73 40 22 24 40 40 3b 73 40 2f 69 6e 63 6c  @;s@"$@@;s@/incl
0a60: 75 64 65 2f 6f 70 65 6e 73 73 6c 2f 73 73 6c 5c  ude/openssl/ssl\
0a70: 2e 68 24 40 40 27 29 22 0a 09 09 66 69 0a 0a 09  .h$@@')"...fi...
0a80: 09 69 66 20 5b 20 2d 7a 20 22 24 7b 53 53 4c 44  .if [ -z "${SSLD
0a90: 49 52 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  IR}" ]; then....
0aa0: 62 75 69 6c 64 53 53 4c 4c 69 62 72 61 72 79 20  buildSSLLibrary 
0ab0: 7c 7c 20 53 53 4c 44 49 52 3d 27 27 0a 09 09 66  || SSLDIR=''...f
0ac0: 69 0a 0a 09 09 69 66 20 5b 20 2d 7a 20 22 24 7b  i....if [ -z "${
0ad0: 53 53 4c 44 49 52 7d 22 20 5d 3b 20 74 68 65 6e  SSLDIR}" ]; then
0ae0: 0a 09 09 09 65 63 68 6f 20 22 55 6e 61 62 6c 65  ....echo "Unable
0af0: 20 74 6f 20 66 69 6e 64 20 4f 70 65 6e 53 53 4c   to find OpenSSL
0b00: 2c 20 61 62 6f 72 74 69 6e 67 2e 22 20 3e 26 32  , aborting." >&2
0b10: 0a 0a 09 09 09 65 78 69 74 20 31 0a 09 09 66 69  .....exit 1...fi
0b20: 0a 09 66 69 0a 0a 09 23 20 41 70 70 6c 79 20 72  ..fi...# Apply r
0b30: 65 71 75 69 72 65 64 20 70 61 74 63 68 65 73 0a  equired patches.
0b40: 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d  .cd "${BUILDDIR}
0b50: 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 66 6f 72  " || exit 1..for
0b60: 20 70 61 74 63 68 20 69 6e 20 22 24 7b 50 41 54   patch in "${PAT
0b70: 43 48 44 49 52 7d 2f 61 6c 6c 22 2f 74 6c 73 2d  CHDIR}/all"/tls-
0b80: 24 7b 54 4c 53 56 45 52 53 7d 2d 2a 2e 64 69 66  ${TLSVERS}-*.dif
0b90: 66 20 22 24 7b 50 41 54 43 48 44 49 52 7d 2f 24  f "${PATCHDIR}/$
0ba0: 7b 54 43 4c 5f 56 45 52 53 49 4f 4e 7d 22 2f 74  {TCL_VERSION}"/t
0bb0: 6c 73 2d 24 7b 54 4c 53 56 45 52 53 7d 2d 2a 2e  ls-${TLSVERS}-*.
0bc0: 64 69 66 66 3b 20 64 6f 0a 09 09 69 66 20 5b 20  diff; do...if [ 
0bd0: 21 20 2d 66 20 22 24 7b 70 61 74 63 68 7d 22 20  ! -f "${patch}" 
0be0: 5d 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74 69  ]; then....conti
0bf0: 6e 75 65 0a 09 09 66 69 0a 0a 09 09 65 63 68 6f  nue...fi....echo
0c00: 20 22 41 70 70 6c 79 69 6e 67 3a 20 24 7b 70 61   "Applying: ${pa
0c10: 74 63 68 7d 22 0a 09 09 24 7b 50 41 54 43 48 3a  tch}"...${PATCH:
0c20: 2d 70 61 74 63 68 7d 20 2d 70 31 20 3c 20 22 24  -patch} -p1 < "$
0c30: 7b 70 61 74 63 68 7d 22 0a 09 64 6f 6e 65 0a 0a  {patch}"..done..
0c40: 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d  .cd "${BUILDDIR}
0c50: 22 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 23 20  " || exit 1...# 
0c60: 54 72 79 20 74 6f 20 62 75 69 6c 64 20 61 73 20  Try to build as 
0c70: 61 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74 20  a shared object 
0c80: 69 66 20 72 65 71 75 65 73 74 65 64 0a 09 69 66  if requested..if
0c90: 20 5b 20 22 24 7b 53 54 41 54 49 43 54 4c 53 7d   [ "${STATICTLS}
0ca0: 22 20 3d 20 22 30 22 20 5d 3b 20 74 68 65 6e 0a  " = "0" ]; then.
0cb0: 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65 6e 61  ..tryopts="--ena
0cc0: 62 6c 65 2d 73 68 61 72 65 64 20 2d 2d 64 69 73  ble-shared --dis
0cd0: 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 65 6c  able-shared"..el
0ce0: 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43 54 4c  if [ "${STATICTL
0cf0: 53 7d 22 20 3d 20 22 2d 31 22 20 5d 3b 20 74 68  S}" = "-1" ]; th
0d00: 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d  en...tryopts="--
0d10: 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09  enable-shared"..
0d20: 65 6c 73 65 0a 09 09 74 72 79 6f 70 74 73 3d 22  else...tryopts="
0d30: 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64  --disable-shared
0d40: 22 0a 09 66 69 0a 0a 09 23 20 44 69 73 61 62 6c  "..fi...# Disabl
0d50: 65 20 53 53 4c 76 32 2c 20 6e 65 77 65 72 20 53  e SSLv2, newer S
0d60: 53 4c 20 6c 69 62 72 61 72 69 65 73 20 64 72 6f  SL libraries dro
0d70: 70 20 73 75 70 70 6f 72 74 20 66 6f 72 20 69 74  p support for it
0d80: 20 65 6e 74 69 72 65 6c 79 0a 09 43 46 4c 41 47   entirely..CFLAG
0d90: 53 3d 22 24 7b 43 46 4c 41 47 53 7d 20 2d 44 4e  S="${CFLAGS} -DN
0da0: 4f 5f 53 53 4c 32 3d 31 22 0a 0a 09 23 20 44 69  O_SSL2=1"...# Di
0db0: 73 61 62 6c 65 20 53 53 4c 76 33 2c 20 6e 65 77  sable SSLv3, new
0dc0: 65 72 20 53 53 4c 20 6c 69 62 72 61 72 69 65 73  er SSL libraries
0dd0: 20 64 72 6f 70 20 73 75 70 70 6f 72 74 20 66 6f   drop support fo
0de0: 72 20 69 74 20 65 6e 74 69 72 65 6c 79 0a 09 43  r it entirely..C
0df0: 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d  FLAGS="${CFLAGS}
0e00: 20 2d 44 4e 4f 5f 53 53 4c 33 3d 31 22 0a 0a 09   -DNO_SSL3=1"...
0e10: 53 41 56 45 5f 43 46 4c 41 47 53 3d 22 24 7b 43  SAVE_CFLAGS="${C
0e20: 46 4c 41 47 53 7d 22 0a 09 53 41 56 45 5f 4c 49  FLAGS}"..SAVE_LI
0e30: 42 53 3d 22 24 7b 4c 49 42 53 7d 22 0a 09 66 6f  BS="${LIBS}"..fo
0e40: 72 20 74 72 79 6f 70 74 20 69 6e 20 24 74 72 79  r tryopt in $try
0e50: 6f 70 74 73 20 5f 5f 66 61 69 6c 5f 5f 3b 20 64  opts __fail__; d
0e60: 6f 0a 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41  o...CFLAGS="${SA
0e70: 56 45 5f 43 46 4c 41 47 53 7d 22 0a 09 09 4c 49  VE_CFLAGS}"...LI
0e80: 42 53 3d 22 24 7b 53 41 56 45 5f 4c 49 42 53 7d  BS="${SAVE_LIBS}
0e90: 22 0a 09 09 65 78 70 6f 72 74 20 43 46 4c 41 47  "...export CFLAG
0ea0: 53 20 4c 49 42 53 0a 0a 09 09 23 20 43 6c 65 61  S LIBS....# Clea
0eb0: 6e 20 75 70 2c 20 69 66 20 6e 65 65 64 65 64 0a  n up, if needed.
0ec0: 09 09 6d 61 6b 65 20 64 69 73 74 63 6c 65 61 6e  ..make distclean
0ed0: 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64   >/dev/null 2>/d
0ee0: 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d 20 2d 72 66  ev/null...rm -rf
0ef0: 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a 09 09   "${INSTDIR}"...
0f00: 6d 6b 64 69 72 20 22 24 7b 49 4e 53 54 44 49 52  mkdir "${INSTDIR
0f10: 7d 22 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74 72  }"....if [ "${tr
0f20: 79 6f 70 74 7d 22 20 3d 20 22 5f 5f 66 61 69 6c  yopt}" = "__fail
0f30: 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 65  __" ]; then....e
0f40: 78 69 74 20 31 0a 09 09 66 69 0a 0a 09 09 69 66  xit 1...fi....if
0f50: 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22 20 3d   [ "${tryopt}" =
0f60: 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72  = "--enable-shar
0f70: 65 64 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 69  ed" ]; then....i
0f80: 73 73 68 61 72 65 64 3d 22 31 22 0a 09 09 65 6c  sshared="1"...el
0f90: 73 65 0a 09 09 09 69 73 73 68 61 72 65 64 3d 22  se....isshared="
0fa0: 30 22 0a 09 09 66 69 0a 0a 09 09 23 20 49 66 20  0"...fi....# If 
0fb0: 62 75 69 6c 64 69 6e 67 20 61 20 73 68 61 72 65  building a share
0fc0: 64 20 54 4c 53 2c 20 61 64 64 20 74 68 65 20 4c  d TLS, add the L
0fd0: 49 4e 4b 41 44 44 20 6c 69 62 72 61 72 69 65 73  INKADD libraries
0fe0: 20 68 65 72 65 0a 09 09 69 66 20 5b 20 22 24 7b   here...if [ "${
0ff0: 69 73 73 68 61 72 65 64 7d 22 20 3d 20 27 31 27  isshared}" = '1'
1000: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 4c 49 42 53   ]; then....LIBS
1010: 3d 22 24 7b 4c 49 42 53 7d 20 24 7b 4b 43 5f 54  ="${LIBS} ${KC_T
1020: 4c 53 5f 4c 49 4e 4b 41 44 44 7d 22 0a 09 09 66  LS_LINKADD}"...f
1030: 69 0a 0a 09 09 23 20 49 66 20 62 75 69 6c 64 20  i....# If build 
1040: 61 20 73 74 61 74 69 63 20 54 4c 53 20 66 6f 72  a static TLS for
1050: 20 4b 69 74 44 4c 4c 2c 20 65 6e 73 75 72 65 20   KitDLL, ensure 
1060: 74 68 61 74 20 77 65 20 75 73 65 20 50 49 43 0a  that we use PIC.
1070: 09 09 23 20 73 6f 20 74 68 61 74 20 69 74 20 63  ..# so that it c
1080: 61 6e 20 62 65 20 6c 69 6e 6b 65 64 20 69 6e 74  an be linked int
1090: 6f 20 74 68 65 20 73 68 61 72 65 64 20 6f 62 6a  o the shared obj
10a0: 65 63 74 0a 09 09 69 66 20 5b 20 22 24 7b 69 73  ect...if [ "${is
10b0: 73 68 61 72 65 64 7d 22 20 3d 20 22 30 22 20 2d  shared}" = "0" -
10c0: 61 20 22 24 7b 4b 49 54 54 41 52 47 45 54 7d 22  a "${KITTARGET}"
10d0: 20 3d 20 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74   = "kitdll" ]; t
10e0: 68 65 6e 0a 09 09 09 43 46 4c 41 47 53 3d 22 24  hen....CFLAGS="$
10f0: 7b 43 46 4c 41 47 53 7d 20 2d 66 50 49 43 22 0a  {CFLAGS} -fPIC".
1100: 09 09 66 69 0a 0a 09 09 69 66 20 5b 20 22 24 7b  ..fi....if [ "${
1110: 69 73 73 68 61 72 65 64 7d 22 20 3d 20 27 30 27  isshared}" = '0'
1120: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 73 65 64 20   ]; then....sed 
1130: 27 73 40 55 53 45 5f 54 43 4c 5f 53 54 55 42 53  's@USE_TCL_STUBS
1140: 40 58 58 58 5f 54 43 4c 5f 53 54 55 42 53 40 67  @XXX_TCL_STUBS@g
1150: 27 20 63 6f 6e 66 69 67 75 72 65 20 3e 20 63 6f  ' configure > co
1160: 6e 66 69 67 75 72 65 2e 6e 65 77 0a 09 09 65 6c  nfigure.new...el
1170: 73 65 0a 09 09 09 73 65 64 20 27 73 40 58 58 58  se....sed 's@XXX
1180: 5f 54 43 4c 5f 53 54 55 42 53 40 55 53 45 5f 54  _TCL_STUBS@USE_T
1190: 43 4c 5f 53 54 55 42 53 40 67 27 20 63 6f 6e 66  CL_STUBS@g' conf
11a0: 69 67 75 72 65 20 3e 20 63 6f 6e 66 69 67 75 72  igure > configur
11b0: 65 2e 6e 65 77 0a 09 09 66 69 0a 09 09 63 61 74  e.new...fi...cat
11c0: 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65 77 20 3e   configure.new >
11d0: 20 63 6f 6e 66 69 67 75 72 65 0a 09 09 72 6d 20   configure...rm 
11e0: 2d 66 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65 77  -f configure.new
11f0: 0a 0a 09 09 28 0a 09 09 09 65 63 68 6f 20 22 52  ....(....echo "R
1200: 75 6e 6e 69 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67  unning: ./config
1210: 75 72 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72  ure $tryopt --pr
1220: 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52  efix=\"${INSTDIR
1230: 7d 5c 22 20 2d 2d 65 78 65 63 2d 70 72 65 66 69  }\" --exec-prefi
1240: 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22  x=\"${INSTDIR}\"
1250: 20 2d 2d 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e   --libdir=\"${IN
1260: 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 2d 2d 77  STDIR}/lib\" --w
1270: 69 74 68 2d 74 63 6c 3d 5c 22 24 7b 54 43 4c 43  ith-tcl=\"${TCLC
1280: 4f 4e 46 49 47 44 49 52 7d 5c 22 20 2d 2d 77 69  ONFIGDIR}\" --wi
1290: 74 68 2d 73 73 6c 2d 64 69 72 3d 5c 22 24 7b 53  th-ssl-dir=\"${S
12a0: 53 4c 44 49 52 7d 5c 22 20 24 7b 43 4f 4e 46 49  SLDIR}\" ${CONFI
12b0: 47 55 52 45 45 58 54 52 41 7d 22 0a 09 09 09 2e  GUREEXTRA}".....
12c0: 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f  /configure $tryo
12d0: 70 74 20 2d 2d 70 72 65 66 69 78 3d 22 24 7b 49  pt --prefix="${I
12e0: 4e 53 54 44 49 52 7d 22 20 2d 2d 65 78 65 63 2d  NSTDIR}" --exec-
12f0: 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49  prefix="${INSTDI
1300: 52 7d 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b  R}" --libdir="${
1310: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d  INSTDIR}/lib" --
1320: 77 69 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c 43  with-tcl="${TCLC
1330: 4f 4e 46 49 47 44 49 52 7d 22 20 2d 2d 77 69 74  ONFIGDIR}" --wit
1340: 68 2d 73 73 6c 2d 64 69 72 3d 22 24 7b 53 53 4c  h-ssl-dir="${SSL
1350: 44 49 52 7d 22 20 24 7b 43 4f 4e 46 49 47 55 52  DIR}" ${CONFIGUR
1360: 45 45 58 54 52 41 7d 0a 0a 09 09 09 65 63 68 6f  EEXTRA}.....echo
1370: 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b   "Running: ${MAK
1380: 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64  E:-make} tcllibd
1390: 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f  ir=\"${INSTDIR}/
13a0: 6c 69 62 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a  lib\" AR=\"${AR:
13b0: 2d 61 72 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22  -ar}\" RANLIB=\"
13c0: 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62  ${RANLIB:-ranlib
13d0: 7d 5c 22 22 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d  }\""....${MAKE:-
13e0: 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d  make} tcllibdir=
13f0: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22  "${INSTDIR}/lib"
1400: 20 41 52 3d 22 24 7b 41 52 3a 2d 61 72 7d 22 20   AR="${AR:-ar}" 
1410: 52 41 4e 4c 49 42 3d 22 24 7b 52 41 4e 4c 49 42  RANLIB="${RANLIB
1420: 3a 2d 72 61 6e 6c 69 62 7d 22 20 7c 7c 20 65 78  :-ranlib}" || ex
1430: 69 74 20 31 0a 0a 09 09 09 65 63 68 6f 20 22 52  it 1.....echo "R
1440: 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d  unning: ${MAKE:-
1450: 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d  make} tcllibdir=
1460: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62  \"${INSTDIR}/lib
1470: 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a 2d 61 72  \" AR=\"${AR:-ar
1480: 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22 24 7b 52  }\" RANLIB=\"${R
1490: 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22  ANLIB:-ranlib}\"
14a0: 20 69 6e 73 74 61 6c 6c 22 0a 09 09 09 24 7b 4d   install"....${M
14b0: 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69  AKE:-make} tclli
14c0: 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d  bdir="${INSTDIR}
14d0: 2f 6c 69 62 22 20 41 52 3d 22 24 7b 41 52 3a 2d  /lib" AR="${AR:-
14e0: 61 72 7d 22 20 52 41 4e 4c 49 42 3d 22 24 7b 52  ar}" RANLIB="${R
14f0: 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 22 20  ANLIB:-ranlib}" 
1500: 69 6e 73 74 61 6c 6c 20 7c 7c 20 65 78 69 74 20  install || exit 
1510: 31 0a 09 09 29 20 7c 7c 20 63 6f 6e 74 69 6e 75  1...) || continu
1520: 65 0a 0a 09 09 23 20 44 65 74 65 72 6d 69 6e 65  e....# Determine
1530: 20 53 53 4c 20 6c 69 62 72 61 72 79 20 64 69 72   SSL library dir
1540: 65 63 74 6f 72 79 0a 09 09 53 53 4c 5f 4c 49 42  ectory...SSL_LIB
1550: 5f 44 49 52 3d 22 24 28 24 7b 4d 41 4b 45 3a 2d  _DIR="$(${MAKE:-
1560: 6d 61 6b 65 7d 20 2d 2d 70 72 69 6e 74 2d 64 61  make} --print-da
1570: 74 61 2d 62 61 73 65 20 7c 20 61 77 6b 20 27 2f  ta-base | awk '/
1580: 5e 53 53 4c 5f 4c 49 42 5f 44 49 52 20 3d 20 2f  ^SSL_LIB_DIR = /
1590: 7b 20 70 72 69 6e 74 20 7d 27 20 7c 20 73 65 64  { print }' | sed
15a0: 20 27 73 40 5e 53 53 4c 5f 4c 49 42 5f 44 49 52   's@^SSL_LIB_DIR
15b0: 20 3d 20 2a 40 40 27 29 22 0a 0a 09 09 65 63 68   = *@@')"....ech
15c0: 6f 20 22 53 53 4c 5f 4c 49 42 5f 44 49 52 20 3d  o "SSL_LIB_DIR =
15d0: 20 24 7b 53 53 4c 5f 4c 49 42 5f 44 49 52 7d 22   ${SSL_LIB_DIR}"
15e0: 0a 0a 09 09 62 72 65 61 6b 0a 09 64 6f 6e 65 0a  ....break..done.
15f0: 0a 09 23 20 43 72 65 61 74 65 20 70 6b 67 49 6e  ..# Create pkgIn
1600: 64 65 78 20 69 66 20 6e 65 65 64 65 64 0a 09 69  dex if needed..i
1610: 66 20 5b 20 21 20 2d 65 20 22 24 7b 49 4e 53 54  f [ ! -e "${INST
1620: 44 49 52 7d 2f 6c 69 62 2f 74 6c 73 24 7b 54 4c  DIR}/lib/tls${TL
1630: 53 56 45 52 53 7d 2f 70 6b 67 49 6e 64 65 78 2e  SVERS}/pkgIndex.
1640: 74 63 6c 22 20 5d 3b 20 74 68 65 6e 0a 09 09 63  tcl" ]; then...c
1650: 61 74 20 3c 3c 20 5f 45 4f 46 5f 20 3e 20 22 24  at << _EOF_ > "$
1660: 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 2f 74 6c  {INSTDIR}/lib/tl
1670: 73 24 7b 54 4c 53 56 45 52 53 7d 2f 70 6b 67 49  s${TLSVERS}/pkgI
1680: 6e 64 65 78 2e 74 63 6c 22 0a 70 61 63 6b 61 67  ndex.tcl".packag
1690: 65 20 69 66 6e 65 65 64 65 64 20 74 6c 73 20 24  e ifneeded tls $
16a0: 7b 54 4c 53 56 45 52 53 7d 20 5c 0a 20 20 20 20  {TLSVERS} \.    
16b0: 22 5b 6c 69 73 74 20 73 6f 75 72 63 65 20 5b 66  "[list source [f
16c0: 69 6c 65 20 6a 6f 69 6e 20 5c 24 64 69 72 20 74  ile join \$dir t
16d0: 6c 73 2e 74 63 6c 5d 5d 20 3b 20 5c 0a 20 20 20  ls.tcl]] ; \.   
16e0: 20 20 5b 6c 69 73 74 20 6c 6f 61 64 20 7b 7d 20    [list load {} 
16f0: 74 6c 73 5d 22 0a 5f 45 4f 46 5f 0a 09 66 69 0a  tls]"._EOF_..fi.
1700: 0a 09 23 20 44 65 74 65 72 6d 69 6e 65 20 6e 61  ..# Determine na
1710: 6d 65 20 6f 66 20 73 74 61 74 69 63 20 6f 62 6a  me of static obj
1720: 65 63 74 0a 09 4c 49 4e 4b 41 44 44 46 49 4c 45  ect..LINKADDFILE
1730: 3d 22 24 28 66 69 6e 64 20 22 24 7b 49 4e 53 54  ="$(find "${INST
1740: 44 49 52 7d 22 20 2d 6e 61 6d 65 20 27 2a 2e 61  DIR}" -name '*.a
1750: 27 20 7c 20 68 65 61 64 20 2d 6e 20 31 29 22 0a  ' | head -n 1)".
1760: 09 69 66 20 5b 20 2d 6e 20 22 24 7b 4c 49 4e 4b  .if [ -n "${LINK
1770: 41 44 44 46 49 4c 45 7d 22 20 5d 3b 20 74 68 65  ADDFILE}" ]; the
1780: 6e 0a 09 09 4c 49 4e 4b 41 44 44 46 49 4c 45 3d  n...LINKADDFILE=
1790: 22 24 7b 4c 49 4e 4b 41 44 44 46 49 4c 45 7d 2e  "${LINKADDFILE}.
17a0: 6c 69 6e 6b 61 64 64 22 0a 0a 09 09 23 23 20 58  linkadd"....## X
17b0: 58 58 3a 20 54 4f 44 4f 3a 20 44 65 74 65 72 6d  XX: TODO: Determ
17c0: 69 6e 65 20 77 68 61 74 20 77 65 20 61 63 74 75  ine what we actu
17d0: 61 6c 6c 79 20 6e 65 65 64 20 74 6f 20 6c 69 6e  ally need to lin
17e0: 6b 20 61 67 61 69 6e 73 74 0a 09 09 61 64 64 6c  k against...addl
17f0: 69 62 73 3d 22 2d 4c 24 7b 53 53 4c 5f 4c 49 42  ibs="-L${SSL_LIB
1800: 5f 44 49 52 3a 2d 2f 6c 69 62 7d 20 2d 6c 73 73  _DIR:-/lib} -lss
1810: 6c 20 2d 6c 63 72 79 70 74 6f 20 24 7b 4b 43 5f  l -lcrypto ${KC_
1820: 54 4c 53 5f 4c 49 4e 4b 41 44 44 7d 22 0a 09 09  TLS_LINKADD}"...
1830: 61 64 64 6c 69 62 73 5f 73 74 61 74 69 63 4f 6e  addlibs_staticOn
1840: 6c 79 3d 22 22 0a 09 09 69 66 20 5b 20 22 24 7b  ly=""...if [ "${
1850: 4b 43 5f 54 4c 53 5f 4c 49 4e 4b 53 53 4c 53 54  KC_TLS_LINKSSLST
1860: 41 54 49 43 7d 22 20 3d 20 27 31 27 20 5d 3b 20  ATIC}" = '1' ]; 
1870: 74 68 65 6e 0a 09 09 09 65 63 68 6f 20 22 2d 57  then....echo "-W
1880: 6c 2c 2d 42 73 74 61 74 69 63 20 24 7b 61 64 64  l,-Bstatic ${add
1890: 6c 69 62 73 7d 20 24 7b 61 64 64 6c 69 62 73 5f  libs} ${addlibs_
18a0: 73 74 61 74 69 63 4f 6e 6c 79 7d 20 2d 57 6c 2c  staticOnly} -Wl,
18b0: 2d 42 64 79 6e 61 6d 69 63 22 0a 09 09 65 6c 73  -Bdynamic"...els
18c0: 65 0a 09 09 09 65 63 68 6f 20 22 24 7b 61 64 64  e....echo "${add
18d0: 6c 69 62 73 7d 22 0a 09 09 66 69 20 3e 20 22 24  libs}"...fi > "$
18e0: 7b 4c 49 4e 4b 41 44 44 46 49 4c 45 7d 22 0a 09  {LINKADDFILE}"..
18f0: 66 69 0a 0a 09 23 20 49 6e 73 74 61 6c 6c 20 66  fi...# Install f
1900: 69 6c 65 73 20 6e 65 65 64 65 64 20 62 79 20 69  iles needed by i
1910: 6e 73 74 61 6c 6c 61 74 69 6f 6e 0a 09 63 70 20  nstallation..cp 
1920: 2d 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c  -r "${INSTDIR}/l
1930: 69 62 22 20 22 24 7b 4f 55 54 44 49 52 7d 22 20  ib" "${OUTDIR}" 
1940: 7c 7c 20 65 78 69 74 20 31 0a 09 66 69 6e 64 20  || exit 1..find 
1950: 22 24 7b 4f 55 54 44 49 52 7d 22 20 2d 6e 61 6d  "${OUTDIR}" -nam
1960: 65 20 27 2a 2e 61 27 20 2d 74 79 70 65 20 66 20  e '*.a' -type f 
1970: 7c 20 78 61 72 67 73 20 2d 6e 20 31 20 72 6d 20  | xargs -n 1 rm 
1980: 2d 66 20 2d 2d 0a 0a 09 65 78 69 74 20 30 0a 29  -f --...exit 0.)
1990: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 65 78 69 74   || exit 1..exit
19a0: 20 30 0a                                          0.